### Function

# Gcr secure_memory_strdup

#### Declaration [src]

    gchar*
    gcr_secure_memory_strdup (
      const gchar* string
    )

#### Description [src]

Copy a string into non-pageable memory. If the input string is `NULL`, then `NULL` will be returned.

This function is not directly available to language bindings

#### Parameters

`string` | `const gchar*`
| Null terminated string to copy.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| Copied string, should be freed with `gcr_secure_memory_free()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.